import type { _AVCaptionConversionAdjustment } from "./AVCaptionConversionAdjustment.js";
import type { CMTime } from "../structs/CMTime.js";
export declare class _AVCaptionConversionTimeRangeAdjustment extends _AVCaptionConversionAdjustment {
    static alloc(): _AVCaptionConversionTimeRangeAdjustment;
    static new(): _AVCaptionConversionTimeRangeAdjustment;
    init(): _AVCaptionConversionTimeRangeAdjustment;
    /**
     * @property startTimeOffset @abstract Indicates the amount by which the timeRange.start of the captions must be adjusted in order to correct a problem. @discussion The value may any numeric value, positive, negative, or zero.
     */
    startTimeOffset(): CMTime;
    /**
     * @property durationOffset @abstract Indicates the amount by which the timeRange.duration of the captions must be adjusted in order to correct a problem. @discussion The value may any numeric value, positive, negative, or zero.
     */
    durationOffset(): CMTime;
}
